import request from '../request'
import dayjs from 'dayjs'

//学车视频api
const carVideo = {
	async getCarVideoList(id) {
		// return request({
		// 	url: `/carVideo`
		// })
		let res = await request({
			url: `student/teachingVideo/info/list/${id}`
		})

		res.data = res.data.map(obj => {
			let newObj = {}
			newObj.chapterName = obj.typeName
			newObj.list = obj.list.map(item => {
				return {
					pid: item.pid,
					videoUrl: item.fileUrl,
					cover: item.coverFileUrl,
					title: item.title,
					remarks: item.videoDescribe,
					duration: dayjs(item.videoDuration * 1000).subtract(8, 'hour').format(
						'HH:mm:ss'),
				}
			})
			return newObj
		})
		res.data = res.data.filter(obj => {
			return obj.list.length > 0
		})
		return res
	},
	getTypeList() {
		return request({
			url: `student/teachingVideo/info/typeList`
		})
	},
	async getSearchList(keyword) {

		let res = await request({
			url: `student/teachingVideo/info/search`,
			params: {
				keyword
			}
		})

		let newObj = {}
		newObj.list = res.data.map(item => {

			return {
				pid: item.pid,
				videoUrl: item.fileUrl,
				cover: item.coverFileUrl,
				title: item.title,
				remarks: item.videoDescribe,
				duration: dayjs(item.videoDuration * 1000).subtract(8, 'hour').format(
					'HH:mm:ss'),
			}

		})
		newObj.chapterName = keyword
		res.data = newObj
		
		return res
	},
}

export default carVideo
